<?php
/* utf8-marker = äöüß */

/*
 * Sharif_XH
 
 * Shariff_XH is powered by Heise (http://www.heise.de/ct/artikel/Shariff-Social-Media-Buttons-mit-Datenschutz-2467514.html).
 *
 * @author Olaf Penschke
 * @version 1.0 RC1 (31.01.2016)
================================================================================
olape

================================================================================ 
Aufruf mit:

	im Template:
	<?php echo op_shariff('data-theme', 'data-orientation', 'class_additional', 'data-services1|data-services2|data-services3|....', 'display_count'); ?>
	z.B.:
	<?php echo op_shariff('grey', 'vertical', 'small', 'twitter|facebook', 'counter'); ?>
	<?php echo op_shariff('', 'horizontal', 'medium', '', 'nocounter'); ?>
	kurz
	<?php echo op_shariff(); ?> --> dann alle Einstellungen aus der Konfiguration des Plugins

	im Content:
	{{{op_shariff('data-theme', 'data-orientation', 'class_additional', 'data-services1|data-services2|data-services3|....', 'display_count');}}}
	z.B.:
	{{{op_shariff('grey', 'vertical', 'small', 'twitter|facebook', 'counter');}}}
	{{{op_shariff('', 'horizontal', 'medium', '', 'nocounter');}}}
	kurz
	{{{op_shariff();}}} --> dann alle Einstellungen aus der Konfiguration des Plugins

	data-theme --> standard, grey, white
	data-orientation --> horizontal,vertical
	class_additional --> standard, small, medium, round 
	data_services --> twitter, facebook, googleplus, linkedin, pinterest, xing, whatsapp, mail, info, addthis, tumblr, flattr, diaspora, reddit, stumbleupon, threema, weibo, tencent-weibo, qzone
	display_count --> counter, nocounter

================================================================================ 
*/
/*
 * Check if PLUGINLOADER is calling and die if not.
 */
if(!defined('PLUGINLOADER')) {
    die(
        'Plugin '. basename(dirname(__FILE__))
        . ' requires a newer version of the Pluginloader. No direct access.'
    );
}
//*********************************************************************************************
// dynamisches Menü unter Plugin

if(function_exists('XH_registerStandardPluginMenuItems')) {
	XH_registerStandardPluginMenuItems(false);
}
//*********************************************************************************************
if(XH_wantsPluginAdministration('shariff')) {
	$o .= print_plugin_admin('off');
	
// Menü in der Pluginkopfzeile

	if(($admin != 'plugin_main') && ($admin != ''))
	{
		$o .= plugin_admin_common($action, $admin, $plugin);
	}
//*********************************************************************************************

//*********************************************************************************************
	if($admin == '')	//Anzeige nur auf Startseite des Plugins
	{
        $o .= "\n" . '<div class="plugintext"><div class="plugineditcaption">'
           . ucfirst(str_replace('_', ' ', $plugin)) . '</div></div>' . tag('br');

		$o .= plugin_admin_common($action, $admin, $plugin);
		$o .= "\n".'<p style="font-family: arial, sans-serif;"><b>Plugin "Shariff_XH" for CMSimple_XH</b> (<span style="color: #0000ff">';
		$o .= ($op_backend == 'true' ? 'Backend is installed' : 'Backend is not installed');					// ist Backend installiert
		$o .= '</span>)</p>
		<hr />
		<p style="font-family: arial, sans-serif;">Shariff_XH Version: 1.0 RC1</p>
		<p style="font-family: arial, sans-serif;">Shariff_XH, Copyright © 2016 <a target="_blank" href="http://olaf.penschke.net/?CMSimple_XH/Plugins">Olaf Penschke</a></p>
		<p> </p>
		<p style="font-family: arial, sans-serif;">Shariff_XH is powered by <a target="_blank" href="http://www.heise.de/ct/artikel/Shariff-Social-Media-Buttons-mit-Datenschutz-2467514.html">Shariff (Heise Medien GmbH & Co. KG)</a>.</p>
		<p style="font-family: arial, sans-serif;">Font-Awesome License <a target="_blank" href="http://fontawesome.io/license/">http://fontawesome.io/license/</a><p>
		<p style="font-family: arial, sans-serif;"><a target="_blank" href="http://mobiledetect.net">Mobile_Detect</a> License <a target="_blank" href="https://opensource.org/licenses/mit-license.php">MIT License</a><p>
		<p> </p>
		<p style="font-family: arial, sans-serif;"><a target="_blank" href="http://olaf.penschke.net/?Kontakt&xh_mailform_subject=Shariff-XH">Gern nehme ich auch Informationen entgegen, auf welchen Seiten das Plugin eingesetzt wird.</a></p>
		<p> </p>
		<p style="font-family: arial, sans-serif;"><b>Shariff_XH</b> kann unter Einhaltung der <a target="_blank" href="http://www.gnu.de/documents/gpl.de.html">GPLv3</a> verwendet werden.</p>
		<hr />
		<p style="font-family: arial, sans-serif;">Adapted for CMSimple_XH 1.6.7 - 1.6.9 by <a target="_blank" href="http://www.cmsimple-xh.org/">cmsimple-xh.org</a></p>';

//*********************************************************************************************
// System check
//*********************************************************************************************
		$o .= '<h4>System Check</h4>';
// config.php vorhanden? Sonst erstellen.
		/*if(!file_exists($pth['folder']['plugins'] . 'shariff/config/config.php')) {
			if (!copy($pth['folder']['plugins'] . 'shariff/config/defaultconfig.php', $pth['folder']['plugins'] . 'shariff/config/config.php')) {
				$o .= 'Creating ' . $pth['folder']['plugins'] . 'shariff/config/config.php failed.' . "\n";
			}
		}*/
// CMSimple_XH Version
		$op_cms_version_tmp = CMSIMPLE_XH_VERSION;
		$op_cms_version_tmp = str_replace(array('CMSimple_XH ', '.'), '', $op_cms_version_tmp);
		$op_cms_version_tmp = intval($op_cms_version_tmp);
		$op_cms_version_arr = array(167,168,169);
		$o .= '<ul style="list-style-type: none;">' . "\n";
		if($op_cms_version_tmp < $op_cms_version_arr[0]) {
			$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>' 
			   . CMSIMPLE_XH_VERSION 
			   . ' &#x2192 not supported</li>' 
			   . "\n";
		} else if(($op_cms_version_tmp >= $op_cms_version_arr[0])
			   && ($op_cms_version_tmp <= $op_cms_version_arr[2])){
			$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>' 
			   . CMSIMPLE_XH_VERSION 
			   . ' &#x2192 supported</li>' 
			   . "\n";
		} else if($op_cms_version_tmp > $op_cms_version_arr[2]) {
			$o .= '<li><span style="color: #ffcc00; font-size: 20px">&#x2714 &#x263A </span>' 
			   . CMSIMPLE_XH_VERSION 
			   . ' &#x2192 I hope it is still supported. It was designed for 1.6.7 - 1.6.9.</li>' 
			   . "\n";
		}
		$o .= '</ul>' . "\n";
// PHP Version
		$o .= '<ul style="list-style-type: none;">' . "\n";
		if (version_compare(phpversion(), '5.1.5', '<')) {
			$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>PHP: ' 
			   . phpversion() 
			   . ' &#x2192 not supported</li>' 
			   . "\n";
		} else {
			$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>PHP: ' 
			   . phpversion() 
			   . ' &#x2192 supported</li>' 
			   . "\n";
		}
		$o .= '</ul>' . "\n";
// Schreibrechte
		$op_filename_arr = array($pth['folder']['plugins'] . 'shariff/config/config.php', 
								 $pth['folder']['plugins'] . 'shariff/css/stylesheet.css', 
								 $pth['folder']['plugins'] . 'shariff/languages/' . $sl . '.php', 
								 $pth['folder']['plugins'] . 'shariff/config/', 
								 $pth['folder']['plugins'] . 'shariff/languages/');
								 
		if($op_backend == 'true') {																				// ist Backend installiert
			$op_filename_arr[] = $pth['folder']['plugins'] . 'shariff/backend/tmp/';
		}
		$o .= '<ul style="list-style-type: none;">' . "\n";
		foreach($op_filename_arr as $op_filename) {
			if (is_writable($op_filename)) {
				$o .= '<li><span style="color: #009966; font-size: 20px">&#x2714 &#x263A </span>' 
				   . $op_filename 
				   . ' &#x2192 writable</li>' 
				   . "\n";
			} else {
				$o .= '<li><span style="color: #ff0000; font-size: 20px">&#x2718 &#x2639 </span>' 
				   . $op_filename . ' &#x2192 not writable</li>' 
				   . "\n";
			}
		}
		$o .= '</ul>' . "\n";
//*********************************************************************************************
//Backend Systemcheck
		if(($op_backend == 'true') && (file_exists($pth['folder']['plugins'] . 'shariff/backend/systemcheck.php'))) {
			require_once $pth['folder']['plugins'] . 'shariff/backend/systemcheck.php';
		}
//*********************************************************************************************
	}
}
?>
