<?php
/* utf8-marker = äöüß */

/*
 * Sharif_XH
 
 * Shariff_XH is powered by Heise (http://www.heise.de/ct/artikel/Shariff-Social-Media-Buttons-mit-Datenschutz-2467514.html).
 *
 * @author Olaf Penschke
 * @version 1.0 RC1 (31.01.2016)
================================================================================
olape

================================================================================ 
Aufruf mit:

	im Template:
	<?php echo op_shariff('data-theme', 'data-orientation', 'class_additional', 'data-services1|data-services2|data-services3|....', 'display_count'); ?>
	z.B.:
	<?php echo op_shariff('grey', 'vertical', 'small', 'twitter|facebook', 'counter'); ?>
	<?php echo op_shariff('', 'horizontal', 'medium', '', 'nocounter'); ?>
	kurz
	<?php echo op_shariff(); ?> --> dann alle Einstellungen aus der Konfiguration des Plugins

	im Content:
	{{{op_shariff('data-theme', 'data-orientation', 'class_additional', 'data-services1|data-services2|data-services3|....', 'display_count');}}}
	z.B.:
	{{{op_shariff('grey', 'vertical', 'small', 'twitter|facebook', 'counter');}}}
	{{{op_shariff('', 'horizontal', 'medium', '', 'nocounter');}}}
	kurz
	{{{op_shariff();}}} --> dann alle Einstellungen aus der Konfiguration des Plugins

	data-theme --> standard, grey, white
	data-orientation --> horizontal,vertical
	class_additional --> standard, small, medium, round 
	data_services --> twitter, facebook, googleplus, linkedin, pinterest, xing, whatsapp, mail, info, addthis, tumblr, flattr, diaspora, reddit, stumbleupon, threema, weibo, tencent-weibo, qzone
	display_count --> counter, nocounter

================================================================================ 
*/
/*
 * Check if PLUGINLOADER is calling and die if not.
 */
if(!defined('PLUGINLOADER')) {
    die(
        'Plugin '. basename(dirname(__FILE__))
        . ' requires a newer version of the Pluginloader. No direct access.'
    );
}
//*********************************************************************************************

if(file_exists($pth['folder']['plugins'] . 'shariff/backend/index.php')) {									// ist Backend installiert
	$op_backend = 'true';
} else {
	$op_backend = 'false';
}
//*********************************************************************************************
/*
 * Mobile_Detect.php
 * http://mobiledetect.net/
 * http://demo.mobiledetect.net/
 * https://github.com/serbanghita/Mobile-Detect
*/
function op_whatsapp_detected()																				// Whatsapp übernehmen, wenn mobiles Gerät
{
global $pth;

	$op_whatsapp_tmp = '';
	require_once ($pth['folder']['plugins'] . 'shariff/lib/Mobile_Detect.php');
	$op_whatsapp_detect = new Mobile_Detect;
	if(($op_whatsapp_detect -> isMobile()) && (!$op_whatsapp_detect -> isTablet())) {
		$op_whatsapp_tmp = 'true';
	} else {
		$op_whatsapp_tmp = 'false';
	}
	return $op_whatsapp_tmp;
}
//*********************************************************************************************

function op_threema_detected()																				// Threema übernehmen, Auswahl nach https://threema.ch/de/faq
{
global $pth;

	$op_threema_tmp = '';
	require_once ($pth['folder']['plugins'] . 'shariff/lib/Mobile_Detect.php');
	$op_threema_detect = new Mobile_Detect;
	if((($op_threema_detect -> isMobile()) && (!$op_threema_detect -> isTablet())) 
	|| (($op_threema_detect -> isTablet()) && ($op_threema_detect -> isiOS())) 
	|| (($op_threema_detect -> isTablet()) && ($op_threema_detect -> isAndroidOS())) 
	|| (($op_threema_detect -> isTablet()) && ($op_threema_detect -> isKindle()))) {
		$op_threema_tmp = 'true';
	} else {
		$op_threema_tmp = 'false';
	}
	return $op_threema_tmp;
}
//*********************************************************************************************

function op_shariff($op_data_theme = '', $op_data_orientation = '', $op_class_additional = '', $op_data_services = '', $op_display_count = '')
{

	global $plugin_cf, $plugin_tx, $pth, $bjs, $su, $sl, $op_backend;

	if(empty($op_data_theme)) {																				// Abfrage, ob bei Aufruf ein Farbschema mitgegeben wurde, wenn nicht, dann Einstellungen aus config
		$op_data_theme = $plugin_cf['shariff']['data-theme'];
	} else if(!(($op_data_theme == 'standard') 
			  || ($op_data_theme == 'grey') 
			  || ($op_data_theme == 'white'))) {
		$op_data_theme = 'standard';
	}

	if(empty($op_data_orientation)) {																		// Abfrage, ob bei Aufruf die Ausrichtung mitgegeben wurde, wenn nicht, dann Einstellungen aus config
		$op_data_orientation = $plugin_cf['shariff']['data-orientation'];
	} else if(!(($op_data_orientation == 'horizontal') 
			  || ($op_data_orientation == 'vertical'))) {
		$op_data_orientation = 'horizontal';
	}

	if(empty($op_class_additional)) {																		// Abfrage zusätzliche CSS-Class
		if($plugin_cf['shariff']['class-additional'] == 'standard') {
			$op_class = 'shariff';
		} else {
			$op_class = 'shariff ' . $plugin_cf['shariff']['class-additional'];
		}
	} else if(($op_class_additional == 'small') 
			|| ($op_class_additional == 'medium') 
			|| ($op_class_additional == 'round')) {
		$op_class = 'shariff ' . $op_class_additional;
	} else {
		$op_class = 'shariff';
	}

	if(empty($op_data_services)) {																			// Abfrage, ob Dienste beim Aufruf mitgegeben wurden, wenn nicht, dann Einstellungen aus config
		$op_services = '';
		if(!empty($plugin_cf['shariff']['service-twitter'])) {
			$op_services .= '&quot;twitter&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-facebook'])) {
			$op_services .= '&quot;facebook&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-googleplus'])) {
			$op_services .= '&quot;googleplus&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-linkedin'])) {
			$op_services .= '&quot;linkedin&quot;,';
		}
		/*if(!empty($plugin_cf['shariff']['service-pinterest'])) {
			$op_services .= '&quot;pinterest&quot;,';
		}*/
		if(!empty($plugin_cf['shariff']['service-xing'])) {
			$op_services .= '&quot;xing&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-whatsapp'])) {
			$op_mobile = op_whatsapp_detected();
			if($op_mobile == 'true') {
				$op_services .= '&quot;whatsapp&quot;,';													// Whatsapp übernehmen, wenn mobiles Gerät
			}
		}
		if(!empty($plugin_cf['shariff']['service-addthis'])) {
			$op_services .= '&quot;addthis&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-tumblr'])) {
			$op_services .= '&quot;tumblr&quot;,';
		}
		/*if(!empty($plugin_cf['shariff']['service-flattr'])) {
			$op_services .= '&quot;flattr&quot;,';
		}*/
		if(!empty($plugin_cf['shariff']['service-diaspora'])) {
			$op_services .= '&quot;diaspora&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-reddit'])) {
			$op_services .= '&quot;reddit&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-stumbleupon'])) {
			$op_services .= '&quot;stumbleupon&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-threema'])) {												// Threema übernehmen, Auswahl nach https://threema.ch/de/faq
			$op_threema = op_threema_detected();
			if($op_threema == 'true') {
				$op_services .= '&quot;threema&quot;,';
			}
		}
		/*if(!empty($plugin_cf['shariff']['service-weibon'])) {
			$op_services .= '&quot;weibo&quot;,';
		}*/
		/*if(!empty($plugin_cf['shariff']['service-tencent_weibo'])) {
			$op_services .= '&quot;tencent-weibo&quot;,';
		}*/
		/*if(!empty($plugin_cf['shariff']['service-qzone'])) {
			$op_services .= '&quot;qzone&quot;,';
		}*/
		if(!empty($plugin_cf['shariff']['service-mail'])) {
			$op_services .= '&quot;mail&quot;,';
		}
		if(!empty($plugin_cf['shariff']['service-info'])) {
			$op_services .= '&quot;info&quot;,';
		}
		$op_services = rtrim( $op_services, ',');															// entfernt letztes Komma
		$op_data_services = $op_services;
	} else {
		$op_data_services = trim($op_data_services, '|');													// falls | am Anfang oder Ende des Parameters angegeben wurde
		$op_data_services_arr = explode('|', $op_data_services);											// Dienste von Funktionsaufruf übernehemen
		$op_data_services = '';
		$op_data_services_js = array('twitter', 'facebook', 'googleplus', 'linkedin',						// mögliche Dienste ( 'pinterest',)
									 'xing', 'whatsapp', 'mail', 'info', 'addthis', 'tumblr',				// ( 'flattr',)
									 'diaspora', 'reddit', 'stumbleupon', 'threema');						// (,)
																											// ('weibo', 'tencent-weibo', 'qzone');)
		foreach($op_data_services_arr as $op_data_services_tmp) {											// Vergleich aufgerufene Dienste mit möglichen Diensten
			if(in_array($op_data_services_tmp, $op_data_services_js)) {
				if(($op_data_services_tmp != 'whatsapp') && ($op_data_services_tmp != 'threema')) {
					$op_data_services .= '&quot;' . $op_data_services_tmp . '&quot;,';						// bei Übereinstimmung übernehmen
				} else if($op_data_services_tmp == 'whatsapp') {
					$op_whatsapp = op_whatsapp_detected();
					if($op_whatsapp == 'true') {
						$op_data_services .= '&quot;' . $op_data_services_tmp . '&quot;,';					// Whatsapp übernehmen, wenn mobiles Gerät
					}
				} else if($op_data_services_tmp == 'threema') {
					$op_threema = op_threema_detected();
					if($op_threema == 'true') {
						$op_data_services .= '&quot;' . $op_data_services_tmp . '&quot;,';					// Threema übernehmen, Auswahl nach https://threema.ch/de/faq
					}
				}
			}
		}
		$op_data_services = rtrim($op_data_services, ',');													// entfernt letztes Komma
	}

	if(!empty($op_data_services)) {																			// nur, wenn Dienste ausgewählt

		if($op_backend == 'true') {																			// ist Backend installiert
			if(!empty($op_display_count)) {
				if($op_display_count == 'counter') {														// soll Counter angezeigt werden (Parameter)
					$op_data_backend_url = $pth['folder']['plugins'] . 'shariff/backend/';
				} else {
					$op_data_backend_url = NULL;
				}
			} else if(!empty($plugin_cf['shariff']['counter_display'])) {									// soll Counter angezeigt werden (config)
				$op_data_backend_url = $pth['folder']['plugins'] . 'shariff/backend/';
			} else {
				$op_data_backend_url = NULL;
			}
		} else {
			$op_data_backend_url = NULL;
		}

		if(in_array($sl, array('bg', 'de', 'en', 'es', 'fi', 'hr', 'hu',									// ist Sprache verfügbar
								'ja', 'ko', 'no', 'pl', 'pt', 'ro', 'ru',
								'sk', 'sl', 'sr', 'sv', 'tr', 'zh'))) {
			$op_data_lang = $sl;
		} else {
			$op_data_lang = 'en';																			// sonst Sprache en
		}

		if(!empty($plugin_tx['shariff']['info-url'])) {														// info-URL
			$op_data_info_url = $plugin_tx['shariff']['info-url'];
		} else {
			$op_data_info_url = 'http://www.heise.de/ct/artikel/Shariff-Social-Media-Buttons-mit-Datenschutz-2467514.html';
		}

		$op_shariff_out = '';
		include_once $pth['folder']['plugins'] . 'jquery/jquery.inc.php';
		include_jQuery();

		static $op_js_count = 0;
		if($op_js_count < 1) {																				// Variable für JavaScript Counter (Script nur einmal einbinden)
			$bjs .= '<script type="text/javascript" async src="' 
				 . $pth['folder']['plugins'] 
				 . 'shariff/js/shariff.min.' 
				 . $plugin_cf['shariff']['service-info-blank'] 
				 . '.js"></script>';
			$op_js_count++;
		}

		$op_shariff_out .= '<div class="' . $op_class . '" 
						data-url="' . CMSIMPLE_URL . (($su != '') ? ('?' . $su) : ('')) . '" 
						data-theme="' . $op_data_theme . '" 
						data-orientation="' . $op_data_orientation . '" 
						data-lang="' . $op_data_lang . '" 
						data-services="[' . $op_data_services . ']" 
						data-info-url="' . $op_data_info_url . '" 
						data-mail-url="mailto:" 
						data-mail-subject="' . $plugin_tx['shariff']['mail-subject'] . '" 
						data-mail-body="' . (($su != '') ? ($su . "\n\n") : ("\n")) . CMSIMPLE_URL . (($su != '') ? ('?' . $su) : ('')) . '" 
						data-backend-url="' . $op_data_backend_url . '" 
						></div>';
	} else {
		$op_shariff_out = 'no services selected';
	}

	return $op_shariff_out;
}

?>
